\ProvidesPackage{lycee}
% Version 0.92

\ifcsname chapterformat \endcsname
\KOMAoptions{%
  paper=a4,
  DIV=12,
  headheight=23.20007pt,
  footheight=23.20007pt,
  chapterprefix,
}
\else
\KOMAoptions{%
  paper=a4,
  DIV=15,
  headheight=23.20007pt,
  footheight=23.20007pt,
}
\fi

\usepackage[utf8x]{inputenc}
\usepackage[T1]{fontenc}

%\usepackage[subpreambles=true]{standalone}
%\usepackage{import}


%\usepackage{kpfonts}
\usepackage{fourier}

\usepackage[suite,taupe,CharPoGdT=true, gdtcomd=textbf]{tdsfrmath}
\usepackage{xlop}
\usepackage{xfrac}

\usepackage{fontawesome}

%\pdfminorversion 7
%\pdfobjcompresslevel 3

\usepackage[colorlinks,linkcolor=blue,pdfusetitle,linktoc=all]{hyperref}

%\usepackage[a4paper,vmargin=12.7mm,hmargin=6.35mm,includefoot,includehead]{geometry}
%\usepackage[top=6.35mm,bottom=6.35mm,left=2cm,right=2cm,includehead,includefoot]{geometry}

%\PassOptionsToPackage{framemethod=tikz}{mdframed}
\usepackage{tipfr}

\usepackage{tkz-euclide}
\usepackage{tkz-tab}

\usepackage[tikz]{bclogo}
\usetikzlibrary{circuits.ee.IEC}
\usepackage{siunitx}

\usepackage{mathrsfs}

%\usepackage{ntheorem}
\usepackage{amsthm}
\usepackage{mathtools}
\theoremstyle{definition}
\@ifclassloaded{srcbook}{%
  \newtheorem{definition}{Définition}[chapter]
}{%
  \newtheorem{definition}{Définition}[]
}
\theoremstyle{plain}
\newtheorem{theoreme}[definition]{Théorème}
\newtheorem{proposition}[definition]{Proposition}
\newtheorem{corollaire}[definition]{Corollaire}
\newtheorem{lemme}[definition]{Lemme}
\newtheorem*{exemple}{Exemple}
\newtheorem*{exemples}{Exemples}
\theoremstyle{remark}
\newtheorem*{remarque}{Remarque}
\newtheorem*{remarques}{Remarques}

\usepackage{tabularx}

\usepackage{titling}
%\usepackage{titlesec}

%\KOMAOptions{headings=big}

\usepackage{multicol}

\usepackage{xsim}
\@ifclassloaded{srcbook}{%
  \xsimsetup{%
    %counter-format = {qu[1] :} ,
    %headings = block-subtitle ,
    %points/name = {pt/s} ,
    solution/pre-hook = \mdframed,
    solution/post-hook = \endmdframed,
    blank/style = dotted,
    %points/separate-bonus = true,
    exercise/within = {chapter},
  }
}{%
  \xsimsetup{%
    %counter-format = {qu[1] :} ,
    %headings = block-subtitle ,
    %points/name = {pt/s} ,
    solution/pre-hook = \mdframed,
    solution/post-hook = \endmdframed,
    blank/style = dotted,
    %points/separate-bonus = true,
  }
}
% \DeclareInstance{exsheets-heading}{block-subtitle-new}{default}{
% indent-first = false,
% join = {
% title[r,B]number[l,B](.333em,0pt) ;
% title[r,B]subtitle[l,B](1em,0pt)
% } ,
% attach = {
% main[l,vc]title[l,vc](0pt,0pt) ;
% main[r,vc]points[l,vc](\marginparsep,0pt)
% } ,
% subtitle-post-code = {
%   ~\textbf{(\GetQuestionProperty{points}{\CurrentQuestionID} points)}} ,
% number-post-code = {\IfQuestionSubtitleF{
%   ~\textbf{(\GetQuestionProperty{points}{\CurrentQuestionID} points)}}},
%}

%\usepackage{exsheets-listings}

\usepackage{fancybox}
\usepackage[newfloat]{minted}

\usepackage{eurosym}


\usepackage{lastpage}

\usepackage{marginnote}

\usepackage{wrapfig}

\usepackage[inline]{enumitem}
\setlist{noitemsep}
%\setlist[1]{\labelindent=\parindent} % < Usually a good idea
\setlist[itemize]{leftmargin=*}
\setlist[itemize,1]{label=$\triangleright$}
\setlist[enumerate]{labelsep=*, leftmargin=1.5pc}
\setlist[enumerate,1]{label=\textbf{\arabic*.}, ref=\arabic*}
\setlist[enumerate,2]{label=\emph{\alph*}), ref=\theenumi.\emph{\alph*}}
\setlist[enumerate,3]{label=\roman*), ref=\theenumii.\roman*}
\setlist[description]{font=\sffamily\bfseries}


\usepackage{scrlayer-scrpage}
\pagestyle{scrheadings}


\usepackage{advdate}
\newcommand{\anneescolaire}{%
  \ifnum\month<8%
    \AdvanceDate[-365]\the\year/\AdvanceDate[365]\the\year%
  \else%
    \the\year/\AdvanceDate[365]\the\year%
  \fi
}
\usepackage{ifdraft}
\ifdraft{%
  \newcommand{\version}{Brouillon}
}
{
  \newcommand{\version}{\input|"git describe --always --dirty"}
}

%\newcommand{\authordate}{\input|"git log -1 --format='%an'"}

\ifoot{\version}
\cfoot{\textsl{\footnotesize{Année \anneescolaire}}}
\ofoot{\footnotesize{Page \thepage/\pageref{LastPage}}}
\ihead{\textsl{\footnotesize{Lycée \textsc{Charles de Foucauld}}}}
\chead{}
\ohead{}


\ifcsname chapterformat \endcsname
  \colorlet{chaptercolor}{blue!80!black}

  \setkomafont{chapter}{\normalfont\color{chaptercolor}\Huge}
  \setkomafont{chapterprefix}{\Large}
  \renewcommand*{\raggedchapter}{\raggedleft}
  \renewcommand*{\chapterformat}{%
    \MakeUppercase{\chapappifchapterprefix{}}%
    \rlap{\enskip\resizebox{!}{1.2cm}{\thechapter} \rule{15cm}{1.2cm} }%
  }

  \RedeclareSectionCommand[beforeskip=30pt,afterskip=20pt]{chapter}
  \renewcommand*\chapterheadmidvskip{\par\nobreak\vspace{10pt}}
\else
\fi

\usepackage[autolanguage]{numprint}
\newcommand{\np}{\numprint}

\usepackage{array,multirow,makecell}
\setcellgapes{1pt}
\makegapedcells%
\newcolumntype{R}[1]{>{\raggedleft\arraybackslash}b{#1}}
\newcolumntype{L}[1]{>{\raggedright\arraybackslash}b{#1}}
\newcolumntype{C}[1]{>{\centering\arraybackslash}b{#1}}


\usepackage{multicol}
\setlength{\columnseprule}{0pt}

%\newcommand{\repOij}{$(O,\vv{\imath},\vv{\jmath})$}


\usepackage{draftwatermark}
\ifdraft{%
  \SetWatermarkText{Brouillon}
}{%
  \SetWatermarkText{}
}

\usepackage[textsize=small,obeyDraft]{todonotes}

%\newcommand{\ligne}[1]{%
%  \begin{tikzpicture}[baseline=1cm]
%    \draw[white] (0,#1+0.8) -- (\linewidth,#1+0.8) ;
%    \foreach \i in {1,...,#1}
%    {\draw[dotted] (0,\i) -- (\linewidth,\i) ; }
%    \draw[white] (0,0.6) -- (\linewidth,0.6) ;
%  \end{tikzpicture}%
%}
\usepackage{xparse}
\ExplSyntaxOn%
\NewDocumentCommand{\ligne}{O{5}}
{%
  \linespread{1.6} % 1.3 pour un et demi 1.6 pour double
  \prg_replicate:nn {#1}{\dotfill\par}
}
\ExplSyntaxOff%

\newcommand{\rep}[1]{%
  \textcolor{blue}{#1}
}

\newenvironment{contreexemple}[1][]{%
  \begin{bclogo}[logo=\bcdz,noborder=true,barre=none]{#1}
    }{%
  \end{bclogo}
}
\newenvironment{note}[1][]{%
\begin{bclogo}[logo=\bctrombone,noborder=true,barre=none]{#1}
}{%
\end{bclogo}
}
\newenvironment{savoirfaire}[1][]{%
\begin{bclogo}[logo=\bcoutil,noborder=true,barre=none]{#1}
}{%
\end{bclogo}
}
\newenvironment{savoirrediger}[1][]{%
\begin{bclogo}[logo=\bccrayon,noborder=true,barre=none]{#1}
}{%
\end{bclogo}
}
\newenvironment{info}[1][]{%
\begin{bclogo}[logo=\bcinfo,noborder=true,barre=none]{#1}
}{%
\end{bclogo}
}

%\usetikzlibrary{external}
%% activate and define figures/ as cache folder
%\tikzexternalize[
%  prefix=figures/,
%  %mode=list and make,
%  system call = {pdflatex \tikzexternalcheckshellescape -interaction=batchmode -jobname "\image" "\texsource"},
%  %only named=true,
%]

\usepackage[nochapter,tablegrid]{vhistory}

\usepackage{subfiles}

\usepackage{babel}
